package vip.xiaonuo.production.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;
import vip.xiaonuo.production.entity.ProductionWriteEnergy;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import vip.xiaonuo.production.entity.ProductionWritePlan;
import vip.xiaonuo.production.param.TargetListDetailVos;

import java.util.List;

/**
 * <p>
 * 车间能耗数据填报 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2025-01-07
 */
public interface ProductionWriteEnergyMapper extends BaseMapper<ProductionWriteEnergy> {

    List<TargetListDetailVos> getListDetail(@Param(Constants.WRAPPER) QueryWrapper<ProductionWritePlan> wrapper);
}
