package vip.xiaonuo.production.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;
import vip.xiaonuo.production.entity.ProductionWritePlan;
import vip.xiaonuo.production.entity.ProductionWriteRate;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import vip.xiaonuo.production.param.TargetListDetailVos;

import java.util.List;

/**
 * <p>
 * 生产收率填报 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2025-03-01
 */
public interface ProductionWriteRateMapper extends BaseMapper<ProductionWriteRate> {

    List<TargetListDetailVos> productionParam(@Param(Constants.WRAPPER)QueryWrapper<ProductionWritePlan> wrapper);

    List<TargetListDetailVos> getListNengHaoDetail(@Param(Constants.WRAPPER)QueryWrapper<ProductionWritePlan> wrapper
            ,@Param(value = "electricity") String electricity
            ,@Param(value = "zhengQi") String zhengQi,@Param(value = "danQi") String danQi
            ,@Param(value = "yaSuo") String yaSuo,@Param(value = "roWater") String roWater
            , @Param(value = "zlWater")String zlWater, @Param(value = "xhWater")String xhWater
            , @Param(value = "qdWater")String qdWater,@Param(value = "swdWater") String swdWater
            ,@Param(value = "eswdWater") String eswdWater,@Param(value = "reWater") String reWater
            ,@Param(value = "diwenWater") String diwenWater,@Param(value = "fuSwdYierchun") String fuSwdYierchun
            ,@Param(value = "fuEswdYierchun") String fuEswdYierchun);
}
