package vip.xiaonuo.sale.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import vip.xiaonuo.sale.entity.SaleProduce;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.sale.param.SaleProduceParam;

/**
 * <p>
 * 销售二级指标 服务类
 * </p>
 *
 * @author author
 * @since 2024-12-13
 */
public interface ISaleProduceService extends IService<SaleProduce> {

    //二级指标
    JSONObject getProduceOne(SaleProduceParam produceParam);

    //二级产品销售额趋势
    JSONArray getPriceList(SaleProduceParam produceParam);

}
