package vip.xiaonuo.production.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.production.entity.ProductionWritePlan;
import vip.xiaonuo.production.entity.ProductionWriteRate;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.production.param.ProductionPageParam;
import vip.xiaonuo.production.param.ProductionWritePlanAddParam;
import vip.xiaonuo.production.param.ProductionWriteRateAddParam;

import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 * 生产收率填报 服务类
 * </p>
 *
 * @author author
 * @since 2025-03-01
 */
public interface IProductionWriteRateService extends IService<ProductionWriteRate> {

    CommonResult add(ProductionWriteRateAddParam param);

    CommonResult list(Map<String, String> paramsMap);

    CommonResult edit(ProductionWriteRate writeRate);

    CommonResult delete(Map<String, String> paramsMap);

    Page<ProductionWriteRate> page(ProductionPageParam pageParam);
}
