package vip.xiaonuo.purchase.param;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class PurchaseAllParam {
    @ApiModelProperty(value = "采购金额", position = 2)
    private String caiGouMoney;
    @ApiModelProperty(value = "采购金额环比/同比", position = 2)
    private String caiGouMoneyOnYear;
    @ApiModelProperty(value = "采购金额增加或者减少", position = 2)
    private boolean caiGouMoneyIsOn;

    /**
     * 营业成本
     */
    @ApiModelProperty(value = "主要原材料采购金额", position = 3)
    private String zhuYaoMoney;
    @ApiModelProperty(value = "主要原材料环比/同比", position = 2)
    private boolean zhuYaoMoneyIsOn;
    @ApiModelProperty(value = "主要原材料增加或者减少", position = 2)
    private String zhuYaoMoneyOnYear;

    /**
     * 净利润
     */
    @ApiModelProperty(value = "主要原材料采购数量", position = 4)
    private String zhuYaoNum;
    @ApiModelProperty(value = "主要原材料采购数量环比/同比", position = 2)
    private boolean zhuYaoNumIsOn;
    @ApiModelProperty(value = "主要原材料采购数量增加或者减少", position = 2)
    private String zhuYaoNumOnYear;

    /**
     * 已交税金
     */
    @ApiModelProperty(value = "采购预期应付", position = 5)
    private String yvQiYingFu;
    @ApiModelProperty(value = "采购预期应付环比/同比", position = 2)
    private boolean yvQiYingFuIsOn;
    @ApiModelProperty(value = "采购预期应付增加或者减少", position = 2)
    private String yvQiYingFuOnYear;

    /**
     * 当前资金余额
     */
    @ApiModelProperty(value = "库存物料金额", position = 6)
    private String kuCunMoney;
    @ApiModelProperty(value = "库存物料金额环比/同比", position = 2)
    private boolean kuCunMoneyIsOn;
    @ApiModelProperty(value = "库存物料金额增加或者减少", position = 2)
    private String kuCunMoneyOnYear;

    @ApiModelProperty(value = "主要原材料库存金额", position = 6)
    private String zhuYaoYuanCaiLiaoMoney;
    @ApiModelProperty(value = "主要原材料库存金额环比/同比", position = 2)
    private boolean zhuYaoYuanCaiLiaoMoneyIsOn;
    @ApiModelProperty(value = "主要原材料库存金额增加或者减少", position = 2)
    private String zhuYaoYuanCaiLiaoMoneyOnYear;

    @ApiModelProperty(value = "主要原材料库存数量", position = 6)
    private String zhuYaoYuanCaiLiaoNum;
    @ApiModelProperty(value = "主要原材料库存金额环比/同比", position = 2)
    private boolean zhuYaoYuanCaiLiaoNumIsOn;
    @ApiModelProperty(value = "主要原材料库存金额增加或者减少", position = 2)
    private String zhuYaoYuanCaiLiaoNumOnYear;


    private String ymonth;


}
